#!/usr/bin/python

'''Usage: install.py [--prefix=<directory>] [--python=<python_executable>] 
	[--zope=<zope_directory>]

install zopesh in <directory>/bin (suggested values: /usr or $HOME),
using <python_executable> as Python executable and Zope client library
from <zope_directory> installation.'''

import os, getopt, sys, re

usage = __doc__
prefix = '/usr'
python = '/usr/bin/python'
zope = '/usr/share/zope'

# Where is python ?
try:
	open(python)
except:
	python = '/usr/local/bin/python'

#
opts, args = getopt.getopt(sys.argv[1:], '', 
	['prefix=', 'python=', 'zope='])
for k, v in opts:
	if k == '--prefix':
		prefix = v
	elif k == '--python':
		python = v
	elif k == '--zope':
		zope = v
	else:
		print usage
		sys.exit()

try:
	data = '#!' + python + '\n\n' + open('zopeshell.py').read()
	data = re.sub('ZOPE_LIB_PYTHON', zope + '/lib/python', data)
	open(prefix + '/bin/zopesh', 'wc').write(data)
	os.chmod(prefix + '/bin/zopesh', 0755)
except:
	print sys.exc_info()[1]
	print
	print usage

